View Issue Details

IDProjectCategoryView StatusLast Update
0006119Talerwallet (TS core)public2020-10-03 14:10
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006119: wallet should support the full recoup protocol
DescriptionThis includes:
 * reacting to revoked denominations in the /keys response
 * pending ops, history and events
 * CLI support
 * integration test with the exchange
TagsNo tags attached.

Activities

Florian Dold

2020-08-22 08:46

manager   ~0016695

Recoup support is technically implemented, but needs an integration test within the wallet.

Florian Dold

2020-09-03 22:59

manager   ~0016830

Tested in 9754109004f and various fixes implemented in 9ec6018e.

Issue History

Date Modified Username Field Change
2020-03-09 12:15 Florian Dold New Issue
2020-08-20 08:03 Florian Dold Category wallet (JS core) => wallet (TS core)
2020-08-22 08:40 Florian Dold Assigned To => Florian Dold
2020-08-22 08:40 Florian Dold Status new => assigned
2020-08-22 08:46 Florian Dold Note Added: 0016695
2020-09-03 22:59 Florian Dold Note Added: 0016830
2020-09-03 22:59 Florian Dold Status assigned => resolved
2020-09-03 22:59 Florian Dold Resolution open => fixed
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8